<?php

global $post;

$landyland_postId = ( isset( $post->ID ) ? get_the_ID() : NULL );

$landyland_body_font_family 			= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'body-font', 'font-family' ) : 'Roboto';
$landyland_body_font_color 				= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'body-font', 'color' ) : '#666666';
$landyland_theme_color 					= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'theme_color' ) : '#c9a485';

// Header Primary Menu
$landyland_menu_primary_font_family 	= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'menu_primary', 'font-family' ) : 'Roboto';
$landyland_menu_primary_transform 		= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'menu_primary', 'text-transform' ) : 'uppercase';
$landyland_menu_primary_weight 			= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'menu_primary', 'font-weight' ) : '300';
$landyland_menu_primary_size 			= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'menu_primary', 'font-size' ) : '14px';
$landyland_menu_primary_spacing 		= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'menu_primary', 'letter-spacing' ) : '1px';

$landyland_submenu_primary_font_family 	= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'submenu_primary', 'font-family' ) : 'Roboto';
$landyland_submenu_primary_transform 	= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'submenu_primary', 'text-transform' ) : 'none';
$landyland_submenu_primary_weight 		= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'submenu_primary', 'font-weight' ) : '300';
$landyland_submenu_primary_size 		= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'submenu_primary', 'font-size' ) : '13px';
$landyland_submenu_primary_spacing 		= class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options( 'submenu_primary', 'letter-spacing' ) : '1px';

/* Custom CSS from Theme Options */
$landyland_options_custom_css = landyland_options('custom_css');

//	Theme Layout
$landyland_theme_bg_image = $landyland_theme_bg_image_repeat = $landyland_theme_bg_color = $landyland_theme_bg_attachment = $landyland_theme_bg_position = $landyland_theme_bg_cover = $landyland_theme_bg_styles = '';
if( class_exists( 'ReduxFrameworkPlugin' ) && landyland_options('theme_bg_image') != '' ) {
	if( landyland_options('theme_bg_image','background-image') != '' ) {
		$landyland_theme_bg_image = landyland_options('theme_bg_image','background-image');
	}
	if( landyland_options('theme_bg_image','background-repeat') != '' ) {
		$landyland_theme_bg_image_repeat = landyland_options('theme_bg_image','background-repeat');
	}
	if( landyland_options('theme_bg_image','background-attachment') != '' ) {
		$landyland_theme_bg_attachment = landyland_options('theme_bg_image','background-attachment');
	}
	if( landyland_options('theme_bg_image','background-position') != '' ) {
		$landyland_theme_bg_position = landyland_options('theme_bg_image','background-position');
	}
	if( landyland_options('theme_bg_image','background-size') != '' ) {
		$landyland_theme_bg_cover = landyland_options('theme_bg_image','background-size');
	}
}
if( class_exists( 'ReduxFrameworkPlugin' ) && landyland_options('theme_bg_image','background-color') != '' ) {
	$landyland_theme_bg_color = landyland_options('theme_bg_image','background-color');
}

if( $landyland_theme_bg_image != '' ) {
	$landyland_theme_bg_styles .= 'background-image:url('. $landyland_theme_bg_image .');';
	if( $landyland_theme_bg_image_repeat != '' ) {
		$landyland_theme_bg_styles .= 'background-repeat:'. $landyland_theme_bg_image_repeat .';';
	}
	if( $landyland_theme_bg_attachment != '' ) {
		$landyland_theme_bg_styles .= 'background-attachment:'. $landyland_theme_bg_attachment .';';
	}
	if( $landyland_theme_bg_position != '' ) {
		$landyland_theme_bg_styles .= 'background-position:'. $landyland_theme_bg_position .';';
	}
	if( $landyland_theme_bg_cover != '' ) {
		$landyland_theme_bg_styles .= 'background-size:'. $landyland_theme_bg_cover .';';
		$landyland_theme_bg_styles .= '-moz-background-size:'. $landyland_theme_bg_cover .';';
		$landyland_theme_bg_styles .= '-webkit-background-size:'. $landyland_theme_bg_cover .';';
		$landyland_theme_bg_styles .= '-o-background-size:'. $landyland_theme_bg_cover .';';
		$landyland_theme_bg_styles .= '-ms-background-size:'. $landyland_theme_bg_cover .';';
	}
}

if( $landyland_theme_bg_color != '' ) {
	$landyland_theme_bg_styles .= 'background-color:'. $landyland_theme_bg_color .';';
}

// Page Title Background Stylings
$landyland_pagetitle_bg_styles = $landyland_pagetitle_bg_image = $landyland_pagetitle_bg_image_repeat = $landyland_pagetitle_bg_color = $landyland_pagetitle_bg_attachment = $landyland_pagetitle_bg_position = $landyland_pagetitle_bg_cover = $landyland_pagetitle_text_color = '';
$landyland_pagetitle_bg_image = get_post_meta( $landyland_postId, 'landyland_pagetitle_bg_image', true );

if ( $landyland_pagetitle_bg_image ) {
	if ( is_numeric( $landyland_pagetitle_bg_image ) ) {
		$landyland_pagetitle_bg_image = wp_get_attachment_image_src( $landyland_pagetitle_bg_image, 'full' );
		$landyland_pagetitle_bg_image = $landyland_pagetitle_bg_image[0];
	}
}

$landyland_pagetitle_bg_image_repeat 	= get_post_meta( $landyland_postId, 'landyland_pagetitle_bg_repeat', true );
$landyland_pagetitle_bg_color 			= get_post_meta( $landyland_postId, 'landyland_pagetitle_bg_color', true );
$landyland_pagetitle_bg_attachment 		= get_post_meta( $landyland_postId, 'landyland_pagetitle_bg_attachment', true );
$landyland_pagetitle_bg_position 		= get_post_meta( $landyland_postId, 'landyland_pagetitle_bg_position', true );
$landyland_pagetitle_bg_cover 			= get_post_meta( $landyland_postId, 'landyland_pagetitle_bg_full', true );
$landyland_pagetitle_text_color 		= get_post_meta( $landyland_postId, 'landyland_pagetitle_text_color', true );

$landyland_theme_pagetitle_bg_image = $landyland_theme_pagetitle_bg_image_repeat = $landyland_theme_pagetitle_bg_color = $landyland_theme_pagetitle_bg_attachment = $landyland_theme_pagetitle_bg_position = $landyland_theme_pagetitle_bg_cover = '';
$landyland_theme_pagetitle_text_color = '#222222';
if( landyland_options('pagetitle_bg_image') ) {
	if( landyland_options('pagetitle_bg_image', 'background-image') != '' ) {
		$landyland_theme_pagetitle_bg_image = landyland_options('pagetitle_bg_image', 'background-image');
	}
	if( landyland_options('pagetitle_bg_image', 'background-repeat') != '' ) {
		$landyland_theme_pagetitle_bg_image_repeat = landyland_options('pagetitle_bg_image', 'background-repeat');
	}
	if( landyland_options('pagetitle_bg_image', 'background-attachment') != '' ) {
		$landyland_theme_pagetitle_bg_attachment = landyland_options('pagetitle_bg_image', 'background-attachment');
	}
	if( landyland_options('pagetitle_bg_image', 'background-position') != '' ) {
		$landyland_theme_pagetitle_bg_position = landyland_options('pagetitle_bg_image', 'background-position');
	}
	if( landyland_options('pagetitle_bg_image', 'background-size') != '' ) {
		$landyland_theme_pagetitle_bg_cover = landyland_options('pagetitle_bg_image', 'background-size');
	}
	if( landyland_options('pagetitle_text_color') != '' ) {
		$landyland_theme_pagetitle_text_color = landyland_options('pagetitle_text_color');
	}
}
if( landyland_options('pagetitle_bg_image', 'background-color') != '' ) {
	$landyland_theme_pagetitle_bg_color = landyland_options('pagetitle_bg_image', 'background-color');
}

//	If Blog
if ( ( is_home() ) && landyland_options('blog_pagetitle_bg_image') ) {
	if( landyland_options('blog_pagetitle_bg_image', 'background-image') != '' ) {
		$landyland_theme_pagetitle_bg_image = landyland_options('blog_pagetitle_bg_image', 'background-image');
	}
	if( landyland_options('blog_pagetitle_bg_image', 'background-repeat') != '' ) {
		$landyland_theme_pagetitle_bg_image_repeat = landyland_options('blog_pagetitle_bg_image', 'background-repeat');
	}
	if( landyland_options('blog_pagetitle_bg_image', 'background-attachment') != '' ) {
		$landyland_theme_pagetitle_bg_attachment = landyland_options('blog_pagetitle_bg_image', 'background-attachment');
	}
	if( landyland_options('blog_pagetitle_bg_image', 'background-position') != '' ) {
		$landyland_theme_pagetitle_bg_position = landyland_options('blog_pagetitle_bg_image', 'background-position');
	}
	if( landyland_options('blog_pagetitle_bg_image', 'background-size') != '' ) {
		$landyland_theme_pagetitle_bg_cover = landyland_options('blog_pagetitle_bg_image', 'background-size');
	}
	if( landyland_options('blog_pagetitle_text_color') != '' ) {
		$landyland_theme_pagetitle_text_color = landyland_options('blog_pagetitle_text_color');
	}
}
if( ( is_home() ) && landyland_options('blog_pagetitle_bg_image', 'background-color') != '' ) {
	$landyland_theme_pagetitle_bg_color = landyland_options('blog_pagetitle_bg_image', 'background-color');
}

$landyland_pagetitle_bg_image 			= ! empty( $landyland_pagetitle_bg_image ) ? $landyland_pagetitle_bg_image : $landyland_theme_pagetitle_bg_image;
$landyland_pagetitle_bg_color 			= ! empty( $landyland_pagetitle_bg_color ) ? $landyland_pagetitle_bg_color : $landyland_theme_pagetitle_bg_color;
$landyland_pagetitle_bg_image_repeat 	= ! empty( $landyland_pagetitle_bg_image_repeat ) ? $landyland_pagetitle_bg_image_repeat : $landyland_theme_pagetitle_bg_image_repeat;
$landyland_pagetitle_bg_attachment 		= ! empty( $landyland_pagetitle_bg_attachment ) ? $landyland_pagetitle_bg_attachment : $landyland_theme_pagetitle_bg_attachment;
$landyland_pagetitle_bg_position 		= ! empty( $landyland_pagetitle_bg_position ) ? $landyland_pagetitle_bg_position : $landyland_theme_pagetitle_bg_position;
$landyland_pagetitle_bg_cover 			= ! empty( $landyland_pagetitle_bg_cover ) ? $landyland_pagetitle_bg_cover : $landyland_theme_pagetitle_bg_cover;
$landyland_pagetitle_text_color 		= ! empty( $landyland_pagetitle_text_color ) ? $landyland_pagetitle_text_color : $landyland_theme_pagetitle_text_color;

if( $landyland_pagetitle_bg_image != '' ) {
	$landyland_pagetitle_bg_styles .= 'background-image:url('. $landyland_pagetitle_bg_image .');';
	if( $landyland_pagetitle_bg_image_repeat != '' ) {
		$landyland_pagetitle_bg_styles .= 'background-repeat:'. $landyland_pagetitle_bg_image_repeat .';';
	}
	if( $landyland_pagetitle_bg_attachment != '' ) {
		$landyland_pagetitle_bg_styles .= 'background-attachment:'. $landyland_pagetitle_bg_attachment .';';
	}
	if( $landyland_pagetitle_bg_position != '' ) {
		$landyland_pagetitle_bg_styles .= 'background-position:'. $landyland_pagetitle_bg_position .';';
	}
	if( $landyland_pagetitle_bg_cover != '' ) {
		$landyland_pagetitle_bg_styles .= 'background-size:'. $landyland_pagetitle_bg_cover .';';
		$landyland_pagetitle_bg_styles .= '-moz-background-size:'. $landyland_pagetitle_bg_cover .';';
		$landyland_pagetitle_bg_styles .= '-webkit-background-size:'. $landyland_pagetitle_bg_cover .';';
		$landyland_pagetitle_bg_styles .= '-o-background-size:'. $landyland_pagetitle_bg_cover .';';
		$landyland_pagetitle_bg_styles .= '-ms-background-size:'. $landyland_pagetitle_bg_cover .';';
	}
}

if( $landyland_pagetitle_bg_color != '' ) {
	$landyland_pagetitle_bg_styles .= 'background-color:'. $landyland_pagetitle_bg_color .';';
}

if( $landyland_pagetitle_text_color != '' ) {
	$landyland_pagetitle_bg_styles .= 'color:'. $landyland_pagetitle_text_color .';';
}

if ( is_singular('post') ) {
	$landyland_featured_image_url = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) );
	$landyland_pagetitle_bg_styles .= 'background-image:url('. $landyland_featured_image_url .');';
}

/* Page Title Height */
$landyland_options_pagetitle_height = class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options('pagetitle_height') : '150px';
$landyland_pagetitle_height = ( get_post_meta( $landyland_postId, 'landyland_pagetitle_height', true ) ? get_post_meta( $landyland_postId, 'landyland_pagetitle_height', true ) : $landyland_options_pagetitle_height );
if ( is_home() ) {
	$landyland_pagetitle_height = class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options('blog_pagetitle_height') : '150px';
} else if ( is_singular('post') ) {
	$landyland_pagetitle_height = '';
} else if ( is_category() || is_tag() || is_search() || is_day() || is_month() || is_year() ) {
	$landyland_pagetitle_height = '150px';
}
if ( $landyland_pagetitle_height != '' ) {
	$landyland_pagetitle_bg_styles .= 'height:'. $landyland_pagetitle_height .';';
}

	
$landyland_cat_styles = '';
$landyland_cat_styles .= '
	article.post .post_category_label,
	article.post .post_category_label a,
	.evapb-bloglist.left_image .post_meta span.post_meta_category a,
	#blog_list.default article.post .post_title a:hover,
	#related_posts_list article.post .post_title a:hover,
	.top_slide_wrap.style3 .post .post_meta_category,
	.top_slide_wrap.style3 .post .post_meta_category a,
	.post .post_title a:hover,
	.evapb-bloglist.bg_image .post .post_descr_wrap .post_title a:hover,
	.evapb_blog_carousel.fisrt_big_img .big_post.post .post_title a:hover,
	.recent_posts_list li .recent_post_meta_category a,
	.recent_posts_list li .recent_post_title a:hover,
	.footer_posts_carousel_title a:hover,
	.widget_categories a:hover,
	.widget_categories li .val,
	.top_slider .post_meta_category a,
	.top_slider .post_title a:hover,
	.evapb_blog_carousel.small_carousel .post_content_wrapper:hover .post_title a,
	.evapb-categories a:hover h6,
	.evapb-bloglist.card_clean .post.format-status .post_title a:hover,
	.evapb-bloglist.top_img.style2 .format-link .post_title a:hover,
	.evapb-bloglist.top_img.style2 .format-quote .post_title a:hover,
	#blog-single-wrap .featured_img_wide_descr .post_category_label a,
	#blog-single-wrap .single_post_meta span a{
		color:' . $landyland_theme_color . ';
	}
	.post .post_category_label span,
	.post .post_category_label span:before,
	.post .post_category_label span:after,
	.evapb-categories a:after,
	.widget_landyland_cat_thumbnails li a:before,
	.post span.post_meta_date:after,
	.recent_posts_list li .post_category_label span,
	.recent_posts_list li .post_category_label span:before,
	.recent_posts_list li .post_category_label span:after,
	.top_slider .post_category_label span,
	.top_slider .post_category_label span:before,
	.top_slider .post_category_label span:after,
	#blog_list.default .post_meta .post_meta_date:after,
	#related_posts_list .post_meta .post_meta_date:after,
	.evapb-bloglist.left_image .post_meta .post_meta_date:after,
	.top_slider.style1 .post_meta span.post_meta_date:after,
	.top_slider.style2 .post_meta span.post_meta_date:after,
	.top_slider.style2 .post_meta span.post_meta_author:after,
	.top_slider.style4 .post_meta span.post_meta_date:after,
	.top_slider.style5 .post_meta span.post_meta_date:after,
	.top_slider.style5 .post_meta span.post_meta_author:after,
	.top_slider.style6 .post_meta span.post_meta_date:after,
	.top_slider.style6 .post_meta span.post_meta_author:after,
	.evapb-bloglist.big_bg_images .post_meta span.post_meta_date:after,
	.evapb-bloglist.card_clean .post_meta_category,
	.evapb-bloglist.card_clean .post .post_meta_category,
	#blog-single-wrap .featured_img_wide_descr .post_category_label span,
	#blog-single-wrap .featured_img_wide_descr .post_category_label span:before,
	#blog-single-wrap .featured_img_wide_descr .post_category_label span:after,
	#blog-single-wrap .single_post_meta .post_category_label span,
	#blog-single-wrap .single_post_meta .post_category_label span:before,
	#blog-single-wrap .single_post_meta .post_category_label span:after,
	#blog-single-wrap .single_post_meta .post_meta_date:after,
	#blog-single-wrap .single_post_meta .post_meta_author:after{
		background-color:' . $landyland_theme_color . ';
	}
	.evapb_blog_carousel.small_carousel .post_content_wrapper:hover .post_descr_wrap{
		border-color:' . $landyland_theme_color . ';
	}
';


//	MailChimp Plugin
$landyland_mc4wp_styles = '';
if ( class_exists( 'ReduxFrameworkPlugin' ) && function_exists( 'mc4wp' ) ) {
	
	$landyland_mc4wp_styles_bg = $landyland_mc4wp_widget_bg = $landyland_mc4wp_widget_bg_repeat = $landyland_mc4wp_widget_bg_attachment = $landyland_mc4wp_widget_bg_position = $landyland_mc4wp_widget_bg_cover = $landyland_mc4wp_widget_text_color_set = $landyland_mc4wp_widget_text_color = $landyland_mc4wp_widget_bg_color = '';
	if( landyland_options('mc4wp_widget_bg') ) {
		if( landyland_options('mc4wp_widget_bg','background-image') != '' ) {
			$landyland_mc4wp_widget_bg = landyland_options('mc4wp_widget_bg','background-image');
		}
		if( landyland_options('mc4wp_widget_bg','background-repeat') != '' ) {
			$landyland_mc4wp_widget_bg_repeat = landyland_options('mc4wp_widget_bg','background-repeat');
		}
		if( landyland_options('mc4wp_widget_bg','background-attachment') != '' ) {
			$landyland_mc4wp_widget_bg_attachment = landyland_options('mc4wp_widget_bg','background-attachment');
		}
		if( landyland_options('mc4wp_widget_bg','background-position') != '' ) {
			$landyland_mc4wp_widget_bg_position = landyland_options('mc4wp_widget_bg','background-position');
		}
		if( landyland_options('mc4wp_widget_bg','background-size') != '' ) {
			$landyland_mc4wp_widget_bg_cover = landyland_options('mc4wp_widget_bg','background-size');
		}
		if( landyland_options('shop_pagetitle_text_color') != '' ) {
			$landyland_mc4wp_widget_text_color = landyland_options('mc4wp_widget_text_color');
		}
	}
	if( landyland_options('mc4wp_widget_bg','background-color') != '' ) {
		$landyland_mc4wp_widget_bg_color = landyland_options('mc4wp_widget_bg','background-color');
	}

	if( $landyland_mc4wp_widget_bg != '' ) {
		$landyland_mc4wp_styles_bg .= 'background-image:url('. $landyland_mc4wp_widget_bg .');';
		if( $landyland_mc4wp_widget_bg_repeat != '' ) {
			$landyland_mc4wp_styles_bg .= 'background-repeat:'. $landyland_mc4wp_widget_bg_repeat .';';
		}
		if( $landyland_mc4wp_widget_bg_attachment != '' ) {
			$landyland_mc4wp_styles_bg .= 'background-attachment:'. $landyland_mc4wp_widget_bg_attachment .';';
		}
		if( $landyland_mc4wp_widget_bg_position != '' ) {
			$landyland_mc4wp_styles_bg .= 'background-position:'. $landyland_mc4wp_widget_bg_position .';';
		}
		if( $landyland_mc4wp_widget_bg_cover != '' ) {
			$landyland_mc4wp_styles_bg .= 'background-size:'. $landyland_mc4wp_widget_bg_cover .';';
			$landyland_mc4wp_styles_bg .= '-moz-background-size:'. $landyland_mc4wp_widget_bg_cover .';';
			$landyland_mc4wp_styles_bg .= '-webkit-background-size:'. $landyland_mc4wp_widget_bg_cover .';';
			$landyland_mc4wp_styles_bg .= '-o-background-size:'. $landyland_mc4wp_widget_bg_cover .';';
			$landyland_mc4wp_styles_bg .= '-ms-background-size:'. $landyland_mc4wp_widget_bg_cover .';';
		}
	}

	if( $landyland_mc4wp_widget_bg_color != '' ) {
		$landyland_mc4wp_styles_bg .= 'background-color:'. $landyland_mc4wp_widget_bg_color .';';
	}
	
	if( $landyland_mc4wp_widget_text_color != '' ) {
		$landyland_mc4wp_widget_text_color_set .= 'color:'. $landyland_mc4wp_widget_text_color .';';
	}
	
	if( $landyland_mc4wp_styles_bg ) {
		$landyland_mc4wp_styles .= '
			.widget .mc4wp-form{
				' . $landyland_mc4wp_styles_bg . '
			}
			.widget .mc4wp-form h6,
			.widget .mc4wp-form span,
			.widget .mc4wp-form p i,
			.widget .mc4wp-form input{
				' . $landyland_mc4wp_widget_text_color_set . ';
			}
		';
	}
}
?>
	
/* Typography */
blockquote:before{background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
textarea, input, .contentarea form.wpcf7-form textarea, .contentarea form.wpcf7-form input{font-family:'<?php echo esc_attr( $landyland_body_font_family ); ?>', sans-serif !important;}
.contentarea ol > li:before, .single-post-content ol > li:before{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
input[type='text']:focus, input[type='email']:focus, input[type='url']:focus, input[type='password']:focus, input[type='search']:focus, textarea:focus{border-color:<?php echo esc_attr( $landyland_theme_color ); ?> !important;}

<?php echo esc_attr( $landyland_cat_styles ); ?>

<?php if( $landyland_theme_bg_styles ) {
	echo '
		body.boxed{' . $landyland_theme_bg_styles . '}
	';
}

$landyland_theme_boxed_margin = landyland_options('theme_boxed_margin');
if( class_exists( 'ReduxFrameworkPlugin' ) && $landyland_theme_boxed_margin != '' ) {
	echo '
		body.boxed{
			padding-top:' . $landyland_theme_boxed_margin . 'px;
			padding-bottom:' . $landyland_theme_boxed_margin . 'px;
		}
	';
} ?>

/* Menu */
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li > a{
	font-family:<?php echo esc_attr( $landyland_menu_primary_font_family ); ?>;
	text-transform:<?php echo esc_attr( $landyland_menu_primary_transform ); ?>;
	font-weight:<?php echo esc_attr( $landyland_menu_primary_weight ); ?>;
	font-size:<?php echo esc_attr( $landyland_menu_primary_size ); ?>;
	letter-spacing:<?php echo esc_attr( $landyland_menu_primary_spacing ); ?>;
}
.header_wrap.desktop .menu-primary-menu-container-wrap .sub-menu li a{
	font-family:<?php echo esc_attr( $landyland_submenu_primary_font_family ); ?>;
	text-transform:<?php echo esc_attr( $landyland_submenu_primary_transform ); ?>;
	font-weight:<?php echo esc_attr( $landyland_submenu_primary_weight ); ?>;
	font-size:<?php echo esc_attr( $landyland_submenu_primary_size ); ?>;
	letter-spacing:<?php echo esc_attr( $landyland_submenu_primary_spacing ); ?>;
}

.header_wrap.desktop .menu-primary-menu-container-wrap li:hover a,
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li:hover > a,
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current_page_item > a,
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-item > a,
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-parent > a,
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-ancestor > a,
body.header_type2 .header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li:hover a,
body.header_type2 .header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current_page_item > a,
body.header_type2 .header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-item > a,
body.header_type2 .header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-parent > a,
body.header_type2 .header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-ancestor > a,
body.header_type4 .header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li:hover a,
body.header_type4 .header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current_page_item > a,
body.header_type4 .header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-item > a,
body.header_type4 .header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-parent > a,
body.header_type4 .header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-ancestor > a,
.header_wrap.desktop .menu-primary-menu-container-wrap ul li.menu-item-has-children:after{
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.header_wrap.desktop .menu-primary-menu-container-wrap li:hover:after,
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li:hover:after,
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current_page_item:after,
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-item:after,
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-parent:after,
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-ancestor:after{
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.header_wrap.desktop .menu-primary-menu-container-wrap .sub-menu li a:after{
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.header_wrap.desktop .menu-primary-menu-container-wrap ul.nav-menu > li a:before,
.header_wrap.desktop .menu-primary-menu-container-wrap .sub-menu li a:after{
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.header_wrap .menu_btn:hover b{
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.header_wrap .menu_btn:hover span,
body.menu_active .header_wrap .menu_btn:hover span{
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.header_search .search_form{
	border-bottom:1px solid <?php echo esc_attr( $landyland_theme_color ); ?>;
}
.header_search i.fa-search:hover,
body.header_type2 .header_search i.fa-search:hover,
body.header_type3 .header_search i.fa-search:hover,
body.header_type4 .header_search i.fa-search:hover{
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.cstheme_mega_menu_wrap .category-children-item .category_post_title a:hover{
	color:<?php echo esc_attr( $landyland_theme_color ); ?> !important;
}


/* Mobile Menu */
.header_wrap.mobile .menu-primary-menu-container-wrap li a:hover,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu > li.current_page_item > a,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-item > a,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-parent > a,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-ancestor > a,
.header_wrap.mobile .menu-primary-menu-container-wrap li a:hover:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu > li > a:hover:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu > li.current_page_item > a:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-item > a:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-parent > a:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu > li.current-menu-ancestor > a:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu > li > a:hover:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu ul.sub-menu > li.current_page_item > a:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu ul.sub-menu > li.current-menu-item > a:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu ul.sub-menu > li.current-menu-parent > a:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul.nav-menu ul.sub-menu > li.current-menu-ancestor > a:after,
.header_wrap.mobile .menu-primary-menu-container-wrap ul ul.sub-menu li a:hover,
.header_wrap.mobile .menu-primary-menu-container-wrap ul ul.sub-menu li.current_page_item a,
.header_wrap.mobile .menu-primary-menu-container-wrap ul ul.sub-menu li a:hover,
.header_wrap.mobile .menu-primary-menu-container-wrap ul ul.sub-menu li.current_page_item > a,
.header_wrap.mobile .menu-primary-menu-container-wrap ul ul.sub-menu li.current-menu-item > a,
.header_wrap.mobile .menu-primary-menu-container-wrap ul ul.sub-menu li.current-menu-parent > a,
.header_wrap.mobile .menu-primary-menu-container-wrap ul ul.sub-menu li.current-menu-ancestor > a{
	color:<?php echo esc_attr( $landyland_theme_color ); ?> !important;
}


/* Shortcodes */
.btn:hover,
.btn:focus,
.btn-default.active,
.btn-default.focus,
.btn-default:active,
.btn-default:focus,
.btn-default:hover,
.btn-primary,
.btn-primary.active,
.btn-primary.focus,
.btn-primary:active,
.btn-primary:focus{
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}

/* Custom Colors */
a:hover, a:focus, h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.single-post-content-wrap > p > a, .contentarea > p > a{
	text-decoration:underline;
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
::selection{background:<?php echo esc_attr( $landyland_theme_color ); ?>; color:#fff;}
::-moz-selection{background:<?php echo esc_attr( $landyland_theme_color ); ?>; color:#fff;}
.theme_color{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.bg_primary{background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
button, input[type='button'], input[type='reset'], input[type='submit'], input[type='button'], input[type='reset']{font-family:'<?php echo esc_attr( $landyland_body_font_family ); ?>', sans-serif;}
button, input[type='button'], input[type='reset'], input[type='submit'], button:hover, input[type='button']:hover, input[type='reset']:hover, input[type='submit']:hover, input[type='button']:hover, input[type='reset']:hover{background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.widget .mc4wp-form input[type='submit'],
.evapb-column .mc4wp-form input[type='submit'],
.contentarea form.wpcf7-form input[type='submit']{
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.cstheme_widget_last_tweets .twitter-text a{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.cstheme_widget_sociallinks .social_link:hover span,
.cstheme_widget_sociallinks .social_link i,
.recent_posts_list.carousel .recent_post_title a:hover{
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
body.header_type3 .header_menu_wrap .social_links a i:last-child{
	color:<?php echo esc_attr( $landyland_theme_color ); ?> !important;
}
.eva-pagination .page-numbers:hover{
	border-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.eva-pagination .page-numbers.current{
	border-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.eva-infinite-scroll a:hover{
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.single_post_meta_tags a:hover, .tagcloud a:hover{border-color:<?php echo esc_attr( $landyland_theme_color ); ?>; color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.single_post_meta_tags a:hover:before{border-color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.post_format_content .post-link:before, .post_format_content .post-quote:before{background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
#categories_list .item a{background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
#categories_list .item a:hover span{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
#related_posts_list.owl-carousel .post-title:hover a{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
#posts_carousel .owl-carousel .posts_carousel_title:hover a{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
#posts_carousel .with_title .owl-controls .owl-nav > div{border-color:<?php echo esc_attr( $landyland_theme_color ); ?>; color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
#related_posts_list .owl-carousel .post-title a:hover{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.categories_carousel .item:hover .overlay_border:before, .categories_carousel .item:hover .overlay_border:after{border-color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.widget_meta li a:hover, .widget_archive li a:hover, .widget_categories li a:hover{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
#fixed_social_links a:hover span,
#fixed_social_links a i,
#right_fixed_panel a:hover span,
#right_fixed_panel a i,
.recent_posts_list.carousel .recent_post_title a:hover,
#search-result-list .post-title a:hover{
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
#categories_list .item a .cat_title:after{background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
footer form.mc4wp-form input[type='submit']{background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.page_featured_image:before,
.page_featured_image:after{
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.header_search_icon:hover i{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
#loader span{
	border-top-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
	border-bottom-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.widget_text .info_block{
	border-left-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.widget .apsc-icons-wrapper .apsc-each-profile,
.widget .apsc-icons-wrapper .apsc-count{
	font-family:'<?php echo esc_attr( $landyland_body_font_family ); ?>', sans-serif !important;
}


/* Slider */
.owl-controls .owl-dot:hover,
.owl-controls .owl-dot.active{
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}


/* Page Title */
#pagetitle{
	<?php echo esc_attr( $landyland_pagetitle_bg_styles ); ?>
}
#pagetitle h1,
.breadcrumbs_wrap span,
.breadcrumbs_wrap a{
	color:<?php echo esc_attr( $landyland_pagetitle_text_color ); ?>;
}


/* Widgets */
aside h4.widget-title:before,
.widget_meta li a:hover,
.widget_archive li a:hover,
.widget_categories li a:hover,
.widget_sociallinks .social_links_wrap a:hover i,
.recent_posts_list.grid .recent_post_title:hover a,
.recent_posts_list.big_first_post .recent_post_title a:hover,
.widget_recent_entries li a:hover,
.widget_pages li a:hover,
.widget_nav_menu li a:hover,
.widget_rss .rsswidget:hover{
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.tagcloud a:hover{
	color:<?php echo esc_attr( $landyland_theme_color ); ?> !important;
}


/* Blog */
.single_sharebox_wrap .cstheme_likes:hover i,
.single_sharebox_wrap .cstheme_likes.already_liked i{
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
	border-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.widget_categories li .val,
.eva-pagination .page-numbers span{color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.single_post_meta_category:before{background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;}
.single_sharebox_wrap a:hover,
.evapb-bloglist.bg_image .post_descr_wrap .post_title a:hover,
.evapb-bloglist.card .format-quote .post_title a:hover,
.evapb-bloglist.card .format-link .post_title a:hover,
.evapb-bloglist.top_img_masonry .format-quote .post_title a:hover,
.evapb-bloglist.top_img_masonry .format-link .post_title a:hover,
.evapb-bloglist.big_bg_images .post_meta a:hover,
.evapb-bloglist.big_bg_images .post_title a:hover,
.evapb_blog_carousel.listing_hover .active .post_title a,
.evapb_blog_carousel.small_carousel .post_content_wrapper:hover .post_title a,
.single_post_nav .prev_post_thumb h6:hover,
.single_post_nav .next_post_thumb h6:hover,
.single_post_nav .prev_post_arrow:hover i,
.single_post_nav .next_post_arrow:hover i,
.single_post_meta span.post_meta_category,
.evapb-bloglist.card_clean .post.format-standard .post_meta_author:hover b,
.evapb-bloglist.card_clean .post.format-image .post_meta_author:hover b,
.evapb-bloglist.top_img.style2 .format-link .pf_link_url:hover{
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
#blog-single-wrap.format-quote h2.single-post-title:after,
#blog-single-wrap.format-link h2.single-post-title:after,
h6.comment_author:after,
.evapb-bloglist.left_image .post_meta .post_meta_date:after,
#related_posts_list .post_meta .post_meta_date:after,
#blog_list.default .post_meta .post_meta_date:after,
.single_post_meta .post_meta_date:after,
#related_posts_list .posts_carousel_wrap:before,
#commentform .form-submit input[type='submit'],
#author-info:before,
.top_slider.style1 .post_meta span.post_meta_date:after,
.top_slider.style2 .post_meta span.post_meta_date:after,
.top_slider.style2 .post_meta span.post_meta_author:after,
.top_slide_wrap.style3 .post_meta span.post_meta_date:after,
.top_slider.style4 .post_meta span.post_meta_date:after,
.top_slider.style5 .post_meta span.post_meta_date:after,
.top_slider.style5 .post_meta span.post_meta_author:after,
.evapb-bloglist.card .format-quote .quote_author_name:before,
.evapb-bloglist.card .format-link .pf_link_url:before,
.evapb-bloglist.top_img_masonry .format-quote .quote_author_name:before,
.evapb-bloglist.top_img_masonry .format-link .pf_link_url:before,
.evapb-bloglist.big_bg_images .post_meta span.post_meta_date:after,
.evapb-bloglist.big_bg_images .post_content_wrapper .btn_more:hover,
.breadcrumbs_wrap span.sep:after,
#blog_list.default article.sticky .post_content_wrapper:before,
.evapb-bloglist.card_clean .post.format-quote .post_content_wrapper,
.evapb-bloglist.top_img.style2 .format-quote .quote_author_name:before,
.evapb-bloglist.top_img.style2 .format-link .pf_link_url:before{
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.evapb-bloglist.big_bg_images .btn_more,
.evapb-bloglist.big_bg_images .post_content_wrapper .btn_more:hover,
.evapb_blog_carousel.listing_hover .active .post_content_wrapper,
.evapb_blog_carousel.small_carousel .post_content_wrapper:hover .post_descr_wrap,
.evapb-bloglist.card .format-quote .post_content_wrapper:hover,
.evapb-bloglist.card .format-link .post_content_wrapper:hover{
	border-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}


/* Evatheme Page Builder */
.cstheme-accordion .active .accordion-heading .accordion-toggle{
	border-bottom-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.cstheme-accordion .accordion-toggle:hover i,
.cstheme-accordion .active .accordion-toggle i,
.cstheme-progress.light .bar_percent,
.cstheme-testimonials .testimonials_author a:hover,
.cstheme-accordion .active .accordion-heading .accordion-toggle,
.cstheme-counter .counters-box .stat_count{
	color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}
.cstheme-pricing .pricing-feature li:before,
.cstheme-testimonials .testimonial-item:before,
.evapb_top_slider .flex-control-paging li a:hover,
.evapb_top_slider .flex-control-paging li a.flex-active,
.cstheme-pricing .pricing-box:before{
	background-color:<?php echo esc_attr( $landyland_theme_color ); ?>;
}


/* Mailchimp Widget */
<?php echo esc_attr( $landyland_mc4wp_styles ); ?>

<?php echo esc_attr( $landyland_options_custom_css ); ?>

