<?php

/**
 * Register sidebars
 */
function landyland_widgets_init() {
	
	//	Blog Sidebar
	register_sidebar( array(
		'name'          	=> esc_html__( 'Blog Sidebar', 'landyland' ),
		'id'            	=> 'blog-sidebar',
		'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  	=> '</aside>',
		'before_title'  	=> '<h4 class="widget-title"><span>',
		'after_title'   	=> '</span></h4>',
	) );
	
	//	Single Post Sidebar
	register_sidebar( array(
		'name'          	=> esc_html__( 'Single Post Sidebar', 'landyland' ),
		'id'            	=> 'singlepost-sidebar',
		'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  	=> '</aside>',
		'before_title'  	=> '<h4 class="widget-title"><span>',
		'after_title'   	=> '</span></h4>',
	) );
	
	//	Prefooter Area
	$landyland_widgets_grid = landyland_options('prefooter_col') ? landyland_options('prefooter_col') : '4-4-4';
	$i = 1;
	foreach (explode('-', $landyland_widgets_grid) as $landyland_widgets_g) {
		register_sidebar(array(
			'name' 				=> esc_html__('Prefooter Area ', 'landyland') . $i,
			'id' 				=> "footer-area-$i",
			'description' 		=> esc_html__('The prefooter area widgets', 'landyland'),
			'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
			'after_widget' 		=> '</aside>',
			'before_title' 		=> '<h4 class="widget-title">',
			'after_title'   	=> '</h4>',
		));
		$i++;
	}
	
	//	Unlimited Sidebars
	$landyland_options_unlimited_sidebar = class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options('unlimited_sidebar') : '';
	
	if ( !empty( $landyland_options_unlimited_sidebar ) ) {	
		if( sizeof( $landyland_options_unlimited_sidebar > 0 ) ) {
			foreach( $landyland_options_unlimited_sidebar as $landyland_sidebar ) {
				if ( !empty( $landyland_sidebar ) ) {
					register_sidebar( array(
						'name' 				=> $landyland_sidebar,
						'id' 				=> landyland_generateSlug($landyland_sidebar, 45),
						'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
						'after_widget' 		=> '</aside>',
						'before_title' 		=> '<h4 class="widget-title">',
						'after_title'   	=> '</h4>',
					));
				}
			}
		}
	}
	
}
add_action( 'widgets_init', 'landyland_widgets_init' );


/**
 * Unlimited Sidebars
 */

function landyland_generateSlug($phrase, $maxLength) {
    $result = strtolower($phrase);
    $result = preg_replace("/[^a-z0-9\s-]/", "", $result);
    $result = trim(preg_replace("/[\s-]+/", " ", $result));
    $result = trim(substr($result, 0, $maxLength));
    $result = preg_replace("/\s/", "-", $result);
    return $result;
}