<?php
/**
 * The main template file
 */

get_header();

$landyland_sidebar_layout = class_exists( 'ReduxFrameworkPlugin' ) ? landyland_options('blog_layout') : 'right-sidebar';
if( $landyland_sidebar_layout == 'left-sidebar' ) {
	$landyland_sidebar_class = 'pull-left ';
	$landyland_blog_list_wrap_class = 'left_sidebar ';
	$landyland_blog_list_class = 'col-md-8 pull-right';
} elseif( $landyland_sidebar_layout == 'right-sidebar' ) {
	$landyland_sidebar_class = 'pull-right';
	$landyland_blog_list_wrap_class = 'right_sidebar ';
	$landyland_blog_list_class = 'col-md-8 pull-left ';
} else {
	$landyland_sidebar_class = $landyland_blog_list_class = '';
	$landyland_blog_list_wrap_class = 'no_sidebar ';
}
?>
		
		<div id="blog_list" class="container default mt0 <?php echo esc_attr( $landyland_blog_list_wrap_class ); ?>">
			<div class="row">
			
			<?php
			if( $landyland_sidebar_layout != 'no-sidebar' ) {
			echo '
				<div class="blog_list_wrap ' . esc_attr( $landyland_blog_list_class ) . '">
					<div class="row">
				';
			}
			?>

						<?php

							while (have_posts()) {
								
								the_post();
								
								get_template_part('templates/blog/loop');
								
							}

						?>
					
			<?php
			if( $landyland_sidebar_layout != 'no-sidebar' ) {
			echo '
					</div>';
					
					echo landyland_pagination( $pages = '' );
					
				echo '
				</div>
				';
			}
			?>
				
				<?php if( $landyland_sidebar_layout != 'no-sidebar' ) { ?>
					<div class="col-md-4 blogsidebar_wrap <?php echo esc_attr( $landyland_sidebar_class ); ?>">
						<?php get_sidebar(); ?>
					</div>
				<?php } ?>
				
				<?php if( $landyland_sidebar_layout == 'no-sidebar' ) { ?>
					<?php echo landyland_pagination( $pages = '' ); ?>
				<?php } ?>
				
			</div>
			
		</div>

<?php get_footer(); ?>