<?php
/**
 * Template Name: Page - Coming Soon
 */

get_header('comingsoon');

global $post;

$landyland_coming_soon_title 		= get_post_meta( $post->ID, 'landyland_coming_soon_title', true );
$landyland_coming_soon_subtitle 	= get_post_meta( $post->ID, 'landyland_coming_soon_subtitle', true );
$landyland_coming_soon_social 		= get_post_meta( $post->ID, 'landyland_coming_soon_social', true );
$landyland_coming_soon_subscribe 	= get_post_meta( $post->ID, 'landyland_coming_soon_subscribe', true );


/* Coming Soon Styles */
$landyland_comingsoon_bg_styles = '';
$landyland_comingsoon_bg_image = get_post_meta( $post->ID, 'landyland_comingsoon_bg_image', true );
$landyland_comingsoon_bg_color = get_post_meta( $post->ID, 'landyland_comingsoon_bg_color', true );

if ( $landyland_comingsoon_bg_image ) {
	if ( is_numeric( $landyland_comingsoon_bg_image ) ) {
		$landyland_comingsoon_bg_image = wp_get_attachment_image_src( $landyland_comingsoon_bg_image, 'full' );
		$landyland_comingsoon_bg_image = $landyland_comingsoon_bg_image[0];
	}
}
	
if( $landyland_comingsoon_bg_image != '' ) {
	$landyland_comingsoon_bg_styles .= 'background-image: url('. $landyland_comingsoon_bg_image .');';
}
if( $landyland_comingsoon_bg_color != '' ) {
	$landyland_comingsoon_bg_styles .= 'background-color: '. $landyland_comingsoon_bg_color .';';
}
?>
		
		<div class="coming_soon_wrapper <?php echo esc_attr( $landyland_coming_soon_months ); ?>" style="<?php echo esc_attr( $landyland_comingsoon_bg_styles ); ?>">
			<div class="coming_soon_container">
				<div class="coming_soon_content">
					<div class="coming_soon_content_wrap">
						<?php if ( !empty( $landyland_coming_soon_title ) ) { ?>
							<h1><?php echo esc_attr( $landyland_coming_soon_title ); ?></h1>
						<?php } ?>
						<?php if ( !empty( $landyland_coming_soon_subtitle ) ) { ?>
							<p class="coming_descr"><?php echo esc_attr( $landyland_coming_soon_subtitle ); ?></p>
						<?php } ?>
						
						<!-- COUNTDOWN -->
						<ul class="countdown">
							<li>
								<span class="days">00</span>
								<p class="days_ref"><?php echo esc_attr__('Days', 'landyland'); ?></p>
							</li>
							<li>
								<span class="hours">00</span>
								<p class="hours_ref"><?php echo esc_attr__('Hours', 'landyland'); ?></p>
							</li>
							<li>
								<span class="minutes">00</span>
								<p class="minutes_ref"><?php echo esc_attr__('Minutes', 'landyland'); ?></p>
							</li>
							<li>
								<span class="seconds">00</span>
								<p class="seconds_ref"><?php echo esc_attr__('Seconds', 'landyland'); ?></p>
							</li>
						</ul><!-- //COUNTDOWN -->
					
					</div>
				</div>

				<?php if ( $landyland_coming_soon_social != 'hide') { ?>
					<div class="coming-soon-social-links">
						<?php echo landyland_social_links(); ?>
					</div>
				<?php } ?>
			</div>
		</div>

<?php get_footer('comingsoon');