<?php
/**
 * The template for displaying pages
 */

get_header();

global $post;

$landyland_postId = ( isset( $post->ID ) ? get_the_ID() : NULL );

$landyland_sidebar_layout = get_post_meta( $landyland_postId, 'landyland_page_sidebar', true );
if( $landyland_sidebar_layout == 'left-sidebar' ) {
	$landyland_sidebar_class = 'pull-left';
	$landyland_page_content_class = 'col-md-9 pull-right ';
} elseif( $landyland_sidebar_layout == 'right-sidebar' ) {
	$landyland_sidebar_class = 'pull-right ';
	$landyland_page_content_class = 'col-md-9 pull-left ';
} else {
	$landyland_sidebar_class = '';
	$landyland_page_content_class = 'col-md-12 ';
}
?>
		
		<div id="default_page" class="<?php echo esc_attr( $landyland_sidebar_layout ); ?>">
			<div class="container">
				<div class="row">
					<div class="<?php echo esc_attr( $landyland_page_content_class ); ?>">
						<div class="contentarea clearfix">
					
							<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
							
								<?php the_content(esc_html__('Read more!', 'landyland')); ?>
								
								<?php wp_link_pages(array('before' => '<div class="page-link">' . esc_html__('Pages', 'landyland') . ': ', 'after' => '</div>')); ?>
								
								<?php 
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
						
							<?php endwhile; ?>
							
							<?php endif; ?>
					
						</div>
					</div>
					
					<?php 
						if( $landyland_sidebar_layout == 'left-sidebar' || $landyland_sidebar_layout == 'right-sidebar' ) {
							echo '<div class="col-md-3 ' . $landyland_sidebar_class . '">';
								dynamic_sidebar('pagedefault-sidebar');
							echo '</div>';
						}
					?>
					
				</div>
			</div>
		</div>

<?php get_footer(); ?>