<?php
/**
 * The template for displaying all single posts and attachments
 */

get_header();

global $post;

$landyland_postid 		= get_the_ID();
$landyland_pf 			= get_post_format();
$featured_image_url 	= wp_get_attachment_url(get_post_thumbnail_id());
$featured_image_url_bg 	= landyland_aq_resize( $featured_image_url, 1920, 650, true, true, true );

$landyland_blogsingle_class = $landyland_blogsingle_wrap_class = '';

$landyland_blogsingle_wrap_class .= 'format-' . esc_attr( $landyland_pf ) . ' ';

$landyland_blogsingle_layout = get_post_meta($landyland_postid, 'landyland_blogsingle_layout', true) ? get_post_meta($landyland_postid, 'landyland_blogsingle_layout', true) : 'left-sidebar';
if( $landyland_blogsingle_layout == 'left-sidebar' ) {
	$landyland_sidebar_class = 'pull-left ';
	$landyland_blogsingle_class .= 'col-md-8 pull-right ';
} elseif( $landyland_blogsingle_layout == 'right-sidebar' ) {
	$landyland_sidebar_class = 'pull-right ';
	$landyland_blogsingle_class .= 'col-md-8 pull-left ';
} else {
	$landyland_sidebar_class = '';
	$landyland_blogsingle_class .= 'col-md-12 ';
}
$landyland_blogsingle_wrap_class .= $landyland_blogsingle_layout . ' ';

$category = get_the_category();
$landyland_blogsingle_wrap_class .= 'category-' . $category[0]->slug . ' ';

$landyland_single_post_navigation = '';
if( class_exists( 'ReduxFrameworkPlugin' ) && ( landyland_options('single_post_navigation') != 0 ) ) {
	$landyland_single_post_navigation = 'show';
} else if( ! class_exists( 'ReduxFrameworkPlugin' ) ){
	$landyland_single_post_navigation = 'show';
}

$landyland_single_post_author = '';
if( class_exists( 'ReduxFrameworkPlugin' ) && ( landyland_options('single_post_author') != 0 ) ) {
	$landyland_single_post_author = 'show';
} else if( ! class_exists( 'ReduxFrameworkPlugin' ) ){
	$landyland_single_post_author = 'show';
}

$landyland_single_post_related_posts = '';
if( class_exists( 'ReduxFrameworkPlugin' ) && ( landyland_options('single_post_related_posts') != 0 ) ) {
	$landyland_single_post_related_posts = 'show';
} else if( ! class_exists( 'ReduxFrameworkPlugin' ) ){
	$landyland_single_post_related_posts = 'show';
}

$landyland_date_format = get_option( 'date_format' );

$landyland_blogsingle_featured_img = get_post_meta($landyland_postid, 'landyland_blogsingle_featured_img', true);
?>
		
		<div id="blog-single-wrap" class="<?php echo esc_attr( $landyland_blogsingle_wrap_class ); ?> clearfix">
			
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				
				<?php if( has_post_thumbnail( $post->ID ) && $landyland_blogsingle_featured_img == 'featured_img_wide' ) { ?>
					
					<div class="featured_img_wide_wrap mb30">
						<div class="featured_img_bg" 
							<?php if( ! empty( $featured_image_url ) ) { ?>
								style="background-image:url(<?php echo esc_url( $featured_image_url_bg ); ?>);"
							<?php } ?>
						></div>
						<div class="container featured_img_wide_descr">
							<span class="post_meta_category post_category_label"><span></span><?php the_category(', '); ?></span>
							<div class="single_post_title">
								<h1><?php the_title(); ?></h1>
							</div>
							<div class="single_post_meta clearfix">
								<span class="post_meta_author"><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php echo get_the_author_meta('display_name'); ?></a></span>
								<span class="post_meta_date"><?php the_time( esc_html( $landyland_date_format ) ); ?></span>
								<span class="post-meta-comments"><i></i><?php echo get_comments_number(get_the_ID()); ?></span>
							</div>
						</div>
					</div>
					
				<?php } else if( $landyland_blogsingle_featured_img == 'featured_img_fullwidth' ) { ?>
					
					<div class="container">
						<div class="post_format_content mb30 text-center">
							<?php if( $landyland_pf == '' || $landyland_pf == 'image' || $landyland_pf == 'gallery' || $landyland_pf == 'video' ) { ?>
								<?php get_template_part( 'templates/blog/post-format/post', $landyland_pf ); ?>
							<?php } else { ?>
								<?php get_template_part( 'templates/blog/post-format/post', 'image' ); ?>
							<?php } ?>
						</div>
					</div>
					
				<?php } ?>
				
				<div class="container">
					<div class="row">
						<div class="single-post-content clearfix <?php echo esc_attr( $landyland_blogsingle_class ); ?>">
							<?php if( $landyland_blogsingle_featured_img == 'featured_img_wide' && ( $landyland_pf != 'image' && $landyland_pf != '' ) ) { ?>
								<div class="post_format_content mb30 text-center">
									<?php get_template_part( 'templates/blog/post-format/post', $landyland_pf ); ?>
								</div>
							<?php } else if( $landyland_blogsingle_featured_img == 'featured_img_fullwidth' ) { ?>
								<div class="single_post_meta clearfix">
									<span class="post_meta_category post_category_label"><span></span><?php the_category(', '); ?></span>
									<span class="post_meta_date"><?php the_time( esc_html( $landyland_date_format ) ); ?></span>
									<span class="post_meta_author"><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php echo get_the_author_meta('display_name'); ?></a></span>
								</div>
								<div class="single_post_title">
									<h1><?php the_title(); ?></h1>
								</div>
								<?php if ( $landyland_pf != '' && $landyland_pf != 'image' && $landyland_pf != 'gallery' && $landyland_pf != 'video' ) { ?>
									<div class="post_format_content mb30 text-center">
										<?php get_template_part( 'templates/blog/post-format/post', $landyland_pf ); ?>
									</div>
								<?php } ?>
							<?php } else { ?>
							
								<div class="post_format_content mb30 text-center">
									<?php get_template_part( 'templates/blog/post-format/post', $landyland_pf ); ?>
								</div>
								<div class="single_post_meta clearfix">
									<span class="post_meta_category post_category_label"><span></span><?php the_category(', '); ?></span>
									<span class="post_meta_date"><?php the_time( esc_html( $landyland_date_format ) ); ?></span>
									<span class="post_meta_author"><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php echo get_the_author_meta('display_name'); ?></a></span>
								</div>
								<div class="single_post_title">
									<h1><?php the_title(); ?></h1>
								</div>
							<?php } ?>
					
							<div class="single-post-content-wrap clearfix mb30">
								<?php
									the_content(esc_html__('Read more!', 'landyland'));
									wp_link_pages(array('before' => '<div class="page-link">' . esc_html__('Pages', 'landyland') . ': ', 'after' => '</div>'));
								?>
							</div>
							
							<div class="posts_nav_link"><?php posts_nav_link(); ?></div>
							
							<div class="row">
								<div class="col-sm-6">
									<?php if( has_tag() ) { ?>
										<div class="single_post_meta_tags">
											<span><?php echo esc_html__('Tags:','landyland'); ?></span>
											<?php the_tags('',' ', ''); ?>
										</div>
									<?php } ?>
								</div>
								<div class="col-sm-6">
									<div class="post_share_wrap single_content">
										<?php get_template_part( 'templates/blog/sharebox' ); ?>
									</div>
								</div>
							</div>
						
							<?php if( $landyland_single_post_navigation == 'show' ) {
								
								landyland_post_navigation();
								
							} ?>
							
							<?php if( $landyland_single_post_author == 'show' ) {
								get_template_part( 'templates/blog/authorinfo' );
							} ?>
							
							<?php if( $landyland_single_post_related_posts == 'show' ) {
								get_template_part('templates/blog/related-posts');
							} ?>
				
							<?php 
								if ( comments_open() || get_comments_number() ) :
									comments_template();
								endif;
							?>
							
						</div>
						
						<?php if( $landyland_blogsingle_layout != 'no-sidebar' ) { ?>
						
							<div id="blog_sidebar" class="col-md-4 blogsidebar_wrap <?php echo esc_attr( $landyland_sidebar_class ); ?>">
								<?php if ( is_active_sidebar('singlepost-sidebar') ) {
									dynamic_sidebar('singlepost-sidebar');
								} else {
									dynamic_sidebar('blog-sidebar');
								} ?>
							</div>
						
						<?php } ?>
						
					</div>
				</div>
				
			<?php endwhile; endif; ?>
			
		</div>

<?php get_footer(); ?>