<?php

global $post;

$landyland_postid = get_the_ID();

$blogsingle_gallery_style = get_post_meta($landyland_postid, 'landyland_blogsingle_gallery_style', true);

if ( is_single() && $blogsingle_gallery_style == 'slider' ) {
	$landyland_width = 1000;
	$landyland_height = 700;
} else {
	$landyland_width = 770;
	$landyland_height = 410;
}

$gallery_image_ids = get_post_meta($post->ID, 'gallery_image_ids', true);

if (!empty($gallery_image_ids)) {
	$my_posts_image_gallery = get_post_meta($landyland_postid, 'gallery_image_ids', true);
} else {
	// Backwards compat
	$attachment_ids = get_posts('post_parent=' . $landyland_postid . '&numberposts=-1&post_type=attachment&orderby=menu_order&order=ASC&post_mime_type=image&fields=ids');
	$attachment_ids = array_diff($attachment_ids, array(get_post_thumbnail_id()));
	$my_posts_image_gallery = implode(',', $attachment_ids);
}

$attachments = array_filter(explode(',', $my_posts_image_gallery));

foreach( $attachments as $imageID ) {
  $attachment_title = get_the_title($imageID);
}


    if ($attachments) {
		if ( $blogsingle_gallery_style == 'grid' ) {
			
			echo '<div class="post-slider grid clearfix">';
				foreach ($attachments as $attachment) {
					$attachment_title = get_the_title($attachment);
					$landyland_featured_image_url = wp_get_attachment_url($attachment);
					?>
					
					<a class="swipebox" href="<?php echo esc_url( $landyland_featured_image_url ); ?>" title="<?php echo esc_attr( $attachment_title ); ?>">
						<img src="<?php echo esc_url( $landyland_featured_image_url ); ?>" alt="<?php echo esc_attr( $attachment_title ); ?>" />
						<span class="gallery_zoom"></span>
						<span class="caption"><?php echo esc_html( $attachment_title ); ?></span>
					</a>

				<?php  }
			echo '</div>';
			
		} elseif ( $blogsingle_gallery_style == 'justified' ) {
			
			echo '<div class="post-slider justified clearfix">';
				foreach ($attachments as $attachment) {
					$attachment_title = get_the_title($attachment);
					$landyland_featured_image_url = wp_get_attachment_url($attachment);
					?>
					
					<a class="swipebox" href="<?php echo esc_url( $landyland_featured_image_url ); ?>" title="<?php echo esc_attr( $attachment_title ); ?>">
						<img src="<?php echo esc_url( $landyland_featured_image_url ); ?>" width="440" height="440" alt="<?php echo esc_attr( $attachment_title ); ?>" />
						<span class="gallery_zoom"></span>
					</a>

				<?php  }
			echo '</div>';
			
		} else {
			
			echo '<div class="post-slider owl-carousel clearfix">';
				foreach ($attachments as $attachment) {
					$landyland_featured_image_url = wp_get_attachment_url($attachment);
					$attachment_title = get_the_title($attachment);
					?>
					
					<div class="item">
						<a class="swipebox" href="<?php echo esc_url( $landyland_featured_image_url ); ?>" title="<?php echo esc_attr( $attachment_title ); ?>">
							<img src="<?php echo esc_url( landyland_aq_resize( $landyland_featured_image_url, $landyland_width, $landyland_height, true, true, true ) ); ?>'" alt="<?php echo esc_attr( $attachment_title ); ?>" />
							<span class="gallery_zoom"></span>
							<span class="caption"><?php echo esc_attr( $attachment_title ); ?></span>
						</a>
					</div>

				<?php  }
			echo '</div>';
			
		}
    }
?>