<?php
/**
 * Page Title
 */

	global $post, $wp_query;
	
	$landyland_postId = ( isset( $post->ID ) ? get_the_ID() : NULL );
	
	$landyland_options_pagetitle = landyland_options('pagetitle') ? landyland_options('pagetitle') : 'show';
	$landyland_pagetitle = ( get_post_meta( $landyland_postId, 'landyland_pagetitle', true ) ? get_post_meta( $landyland_postId, 'landyland_pagetitle', true ) : $landyland_options_pagetitle );
	if ( is_home() || is_category() || is_tag() || is_search() || is_day() || is_month() || is_year() ) {
		$landyland_pagetitle = landyland_options('blog_pagetitle') ? landyland_options('blog_pagetitle') : 'show';
	} else if ( is_singular('post') ) {
		$landyland_pagetitle = 'hide';
	}
	
	$landyland_pagetitle_text					= get_post_meta( $landyland_postId, 'landyland_pagetitle_text', true );
	$landyland_blog_pagetitle_text				= landyland_options('blog_pagetitle_text') ? landyland_options('blog_pagetitle_text') : esc_html__('Recent Posts', 'landyland');
	
	if ( $landyland_pagetitle_text != '' ) {
		$landyland_pagetitle_text = '<h1>' . esc_attr( $landyland_pagetitle_text ) . '</h1>';
	} else if (is_home()) {
		$landyland_pagetitle_text = '<h1>' . esc_attr( $landyland_blog_pagetitle_text ) . '</h1>';
	} else if (is_category()) {
		$landyland_pagetitle_text = '<h1>' . esc_attr__( 'Category:', 'landyland' ) . ' \'' . single_cat_title( '', false ) . '\'</h1>';
	} else if( is_tag() ) {
		$landyland_pagetitle_text = '<h1>' . esc_attr__( 'Tagged:', 'landyland' ) . ' \'' . single_tag_title( '', false ) . '\'</h1>';
	} else if( is_search() ) {
		$landyland_pagetitle_text = '<h1>' . $wp_query->found_posts . ' ' . esc_attr__( 'search results for', 'landyland' ) . ': \'' . esc_attr( get_search_query() ) . '\'</h1>';
	} else if ( is_day() || is_month() || is_year() ) {
		$landyland_pagetitle_text = '<h1>' . esc_attr__( 'Archive for', 'landyland' ) . ' ' . get_the_time( get_option( 'date_format' ) ) . '</span></h1>';
	} else if (is_author()) {
		global $author;
        $userdata = get_userdata($author);
		$landyland_pagetitle_text = '<h1><span>' . esc_html__('Articles posted by', 'landyland') . '</span>' . $userdata->display_name . '</h1>';
	} else if (is_404()) {
		$landyland_pagetitle_text = '<h1>' . esc_attr__( 'Error 404', 'landyland' ) . '</h1>';
	} else if (isset($_GET['paged']) && !empty($_GET['paged'])) {
		$landyland_pagetitle_text = '<h1>' . esc_attr__( 'Blog Archives', 'landyland' ) . '</h1>';
	} else {
		$landyland_pagetitle_text = '<h1>' . get_the_title() . '</h1>';
	}
	
	/* Parallax Effect */
	$landyland_pagetitle_bg_image_parallax = $landyland_pagetitle_bg_image_parallax_theme = $landyland_pagetitle_bg_image_parallax_page = $landyland_pagetitle_class = '';
	$landyland_pagetitle_bg_image_parallax_theme = get_post_meta( $landyland_postId, 'landyland_pagetitle_bg_image_parallax', true );
	if( landyland_options('pagetitle_bg_image_parallax') ) {
		$landyland_pagetitle_bg_image_parallax_page 	= landyland_options('pagetitle_bg_image_parallax');
	}
	$landyland_pagetitle_bg_image_parallax = ! empty( $landyland_pagetitle_bg_image_parallax_theme ) ? $landyland_pagetitle_bg_image_parallax_theme : $landyland_pagetitle_bg_image_parallax_page;
	if ( $landyland_pagetitle_bg_image_parallax == 'enable' ) {
		$landyland_pagetitle_class .= ' cstheme_parallax';
	}
	
	/* Breadcrumbs */
	$landyland_options_breadcrumbs = landyland_options('breadcrumbs') ? landyland_options('breadcrumbs') : 'show';
	if( is_search() ) {
		$landyland_options_breadcrumbs = 'hide';
	}
	$landyland_breadcrumbs = ( get_post_meta( $landyland_postId, 'landyland_breadcrumbs', true ) ? get_post_meta( $landyland_postId, 'landyland_breadcrumbs', true ) : $landyland_options_breadcrumbs );
	
?>
		
		<?php if ( $landyland_pagetitle == 'show' ) { ?>
			<div id="pagetitle" class="<?php echo esc_attr( $landyland_pagetitle_class ); ?>">
				<div class="pagetitle_content">
					<div class="container">
						<div class="row">
							<?php
								echo '<div class="col-md-8">' . $landyland_pagetitle_text . '</div>';
							
								if ( $landyland_breadcrumbs != 'hide' ) {
									echo '<div class="col-md-4">';
										landyland_breadcrumbs();
									echo '</div>';
								}
							?>
						</div>
					</div>
				</div>
			</div>
		<?php } ?>
		
		